Skip to main content
POST
/
app_builds
/
{id}
/
promote
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

const appBuild = await client.appBuilds.promote('apbu_xxxxxxxxxxxxx');

console.log(appBuild.id);
{
  "id": "apbu_xxxxxxxxxxxxx",
  "platform": "ios",
  "file_url": "https://cdn.whop.com/builds/abc123.zip",
  "created_at": "2023-12-01T05:00:00.401Z",
  "status": "draft",
  "checksum": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
  "supported_app_view_types": [
    "hub"
  ],
  "review_message": "App crashes on launch. Please fix and resubmit.",
  "is_production": true
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the app build to promote to production, starting with 'abld_'.

Example:

"apbu_xxxxxxxxxxxxx"

Response

A successful response

A versioned build artifact for a Whop React Native App, submitted for review and deployment to a specific platform.

id
string
required

The unique identifier for the app build.

Example:

"apbu_xxxxxxxxxxxxx"

platform
enum<string>
required

The target platform for this build.

Available options:
ios,
android,
web
file_url
string
required

A URL to download the app build as a .zip archive.

Example:

"https://cdn.whop.com/builds/abc123.zip"

created_at
string<date-time>
required

The datetime the app build was created.

Example:

"2023-12-01T05:00:00.401Z"

status
enum<string>
required

The current review status of this build.

Available options:
draft,
pending,
approved,
rejected
checksum
string
required

A SHA-256 hash of the uploaded build file, generated by the client and used to verify file integrity.

Example:

"e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"

supported_app_view_types
enum<string>[]
required

The list of view types this build supports, as declared by the developer.

The different types of an app view

Available options:
hub,
discover,
dash,
dashboard,
analytics
review_message
string | null
required

Feedback from the reviewer explaining why the build was rejected. Null if the build has not been reviewed or was approved.

Example:

"App crashes on launch. Please fix and resubmit."

is_production
boolean
required

Whether this build is the currently active production build for its platform.